//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: agua_sector_lectura_tomas.rept.js
// Created: 2022-08-31
// Updates: 2022-08-31
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
let windowObjectReference = null;
//-------------------------------------------------------//
window.onload = function(){
	const d = new Date();
	let text = d.toLocaleString();
	document.getElementById("fecha").innerHTML = "GENERADA EL :"+text;
	resizeTo(window.screen.availWidth,window.screen.availHeight);
};
//-------------------------------------------------------//
//LEVEL 1
function saveAguaLectura(id,per,hoy,val,val_anterior){
	var r = new XMLHttpRequest();
	r.open("GET",'../pl/agua_sector_lecturas_s.pl?id='+id+'&periodo='+per+"&dt_actual="+hoy+'&lectura_actual='+val+"&lectura_anterior="+val_anterior, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		//console.log(r.responseText);
		location.reload();
	};
	r.send();
}
function saveAgua(){
	let id = document.getElementById('i8_agua_id').innerHTML;
	let periodo = document.getElementById('i8_periodo').innerHTML;
	let lectura = document.getElementById('dt_lectura').innerHTML;
	let anterior = document.getElementById('d82_anterior').innerHTML;
	let actual = document.getElementById('d82_actual').innerHTML;
	var r = new XMLHttpRequest();
	r.open("GET",'../pl/agua_sector_lecturas_s.pl?id='+id+'&periodo='+periodo+"&dt_actual="+lectura+'&lectura_actual='+actual+"&lectura_anterior="+anterior, true);
	r.onreadystatechange = function () {
		if (r.readyState != 4 || r.status != 200) return;
		location.reload();
	};
	r.send();
}
async function getAguaLectura(id,per,cid){
  showLectura();
	let agua =  await fetchData('agua.data',{"id":id});
	let contribuyente = await fetchData('contribuyente.data',{"id":cid});
	let lectura =  await fetchData('aguaLectura.data',{"id":id,"per":per});

	document.getElementById('i8_agua_id').innerHTML = agua['i8_agua_id'];
	document.getElementById('c8_cuenta_rct_id').innerHTML = agua['c8_cuenta_rct_id'];
	document.getElementById('txt_referencia').innerHTML = agua['txt_referencia'];
	document.getElementById('c11_sector_id').innerHTML = agua['c11_sector_id'];
	document.getElementById('v64_sector').innerHTML = agua['v64_sector'];
	document.getElementById('c2_zona_id').innerHTML = agua['c2_zona_id'];
	document.getElementById('nbr_zona').innerHTML = agua['nbr_zona'];
	document.getElementById('cod_ruta').innerHTML = agua['cod_ruta'];
	document.getElementById('nbr_ruta').innerHTML = agua['nbr_ruta'];
	
	document.getElementById('i8_contribuyente_id').innerHTML = contribuyente['i8_contribuyente_id'];
	document.getElementById('cod_contribuyente').innerHTML = contribuyente['cod_contribuyente'];
	document.getElementById('v128_contribuyente').innerHTML = contribuyente['v128_contribuyente'];

	document.getElementById('i8_periodo').innerHTML = per;	
	document.getElementById('dt_lectura').innerHTML = lectura['dt_lectura'];
	document.getElementById('d82_anterior').innerHTML = lectura['d82_anterior'];
	document.getElementById('d82_actual').innerHTML = lectura['d82_actual'];
	document.getElementById('dt_aplicacion').innerHTML = lectura['dt_aplicacion'];
	document.getElementById('c3_tipo_lectura_id').innerHTML =lectura['c3_tipo_lectura_id'];
	document.getElementById('txt_comentario').innerHTML = lectura['txt_comentario'];	
	
}
function showLectura(){
	//alert(id+"<>"+per+"<>"+hoy+"<>"+val);
	var d = document.getElementById('aguaDiv');
	d.style.position = "absolute";
	d.style.left = (window.screen.availWidth/4)+'px';
	d.style.top = (window.screen.availHeight/5)+'px';	
	document.getElementById('aguaDiv').style.display = 'inline'; 
}
function closeAgua(){
	document.getElementById('aguaDiv').style.display = 'none';
}
function OpenSectorEntidad(id,sector,zona,vzona){
	let url = "../pl/agua_sector_lectura_fontaneros_rept.pl?c11_sector_id="+id+"&v64_sector="+sector+"&zona="+zona+"&v64_zona="+vzona;;	
	let windowName = "AguaSectorLecturaFontaneros";
	let features = "left=100,top=20,width=675,height=550,scrollbars=yes,toolbar=no,menubar=yes,resizable=yes";
	if (windowObjectReference === null || windowObjectReference.closed) {
		windowObjectReference = window.open(url, windowName, features);
	} else {
		windowObjectReference.focus();
	}
}
//------------------------------------------------------//
function fetchData(endPoint,data){
	return new Promise(resolve => {
		var r = new XMLHttpRequest();
		r.open("POST",'../pl/'+endPoint+".pl", true);
		r.setRequestHeader("Content-Type", "application/json");
		r.send(JSON.stringify(data));	
		r.onreadystatechange = function () {
			if (r.readyState != 4 || r.status != 200) return;
			//console.log(endPoint);			
			//console.log(r.responseText);
			resolve(JSON.parse(r.responseText));
		};		
	}); 
}
function placeDiv(x_pos, y_pos) {
  var d = document.getElementById('yourDivId');
  d.style.position = "absolute";
  d.style.left = x_pos+'px';
  d.style.top = y_pos+'px';
}